Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceIntensityMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a surface intensity array.

Note
  Supported with G3

Inheritance diagram for GoSurfaceIntensityMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32u | GoSurfaceIntensityMsg_Exposure (GoSurfaceIntensityMsg msg)
| Gets the exposure. More...
kSize | GoSurfaceIntensityMsg_Length (GoSurfaceIntensityMsg msg)
| Gets the length of the surface (row count). More...
k8u * | GoSurfaceIntensityMsg_RowAt (GoSurfaceIntensityMsg msg, kSize index)
| Gets a pointer to a surface intensity row. More...
GoDataSource | GoSurfaceIntensityMsg_Source (GoSurfaceIntensityMsg msg)
| Gets the profile source. More...
kSize | GoSurfaceIntensityMsg_Width (GoSurfaceIntensityMsg msg)
| Gets the width of the surface (column count). More...
k32s | GoSurfaceIntensityMsg_XOffset (GoSurfaceIntensityMsg msg)
| Gets the surface x-offset, in micrometers. More...
k32u | GoSurfaceIntensityMsg_XResolution (GoSurfaceIntensityMsg msg)
| Gets the surface x-resolution, in nanometers. More...
k32s | GoSurfaceIntensityMsg_YOffset (GoSurfaceIntensityMsg msg)
| Gets the surface y-offset, in micrometers. More...
k32u | GoSurfaceIntensityMsg_YResolution (GoSurfaceIntensityMsg msg)
| Gets the surface y-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h